Name:           athena-tmux-config
Version:        0
Release:        4%{?dist}
Summary:        Tmux configuration for Athena.

License:        LicenseRef-Custom
URL:            https://gitlab.com/athenaos/packages/configuration/athena-tmux-config
Source0:        https://gitlab.com/athenaos/packages/configuration/athena-tmux-config/-/archive/main/%{name}-main.tar.gz

BuildArch:      noarch
Requires:       python3-libtmux
Requires:       python3-pip
Requires:       sassc
Requires:       tmux

%description
Athena's default tmux configuration, including themes, plugins, and sensible defaults.

%prep
%autosetup -n %{name}-main

%build
# Nothing to build
:

%install
install -dm 755 %{buildroot}/etc/skel

cp -a .tmux %{buildroot}/etc/skel/
cp -a .tmux.conf %{buildroot}/etc/skel/

install -Dm755 .tmux/plugins/tpm/tpm %{buildroot}/etc/skel/.tmux/plugins/tpm/tpm
install -Dm755 .tmux/plugins/tpm/bin/clean_plugins %{buildroot}/etc/skel/.tmux/plugins/tpm/bin/clean_plugins
install -Dm755 .tmux/plugins/tpm/bin/install_plugins %{buildroot}/etc/skel/.tmux/plugins/tpm/bin/install_plugins
install -Dm755 .tmux/plugins/tpm/bin/update_plugins %{buildroot}/etc/skel/.tmux/plugins/tpm/bin/update_plugins
install -Dm755 .tmux/plugins/tpm/bindings/clean_plugins %{buildroot}/etc/skel/.tmux/plugins/tpm/bindings/clean_plugins
install -Dm755 .tmux/plugins/tpm/bindings/install_plugins %{buildroot}/etc/skel/.tmux/plugins/tpm/bindings/install_plugins
install -Dm755 .tmux/plugins/tpm/bindings/update_plugins %{buildroot}/etc/skel/.tmux/plugins/tpm/bindings/update_plugins
install -Dm755 .tmux/plugins/tpm/scripts/check_tmux_version.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/check_tmux_version.sh
install -Dm755 .tmux/plugins/tpm/scripts/clean_plugins.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/clean_plugins.sh
install -Dm755 .tmux/plugins/tpm/scripts/install_plugins.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/install_plugins.sh
install -Dm755 .tmux/plugins/tpm/scripts/source_plugins.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/source_plugins.sh
install -Dm755 .tmux/plugins/tpm/scripts/update_plugin.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/update_plugin.sh
install -Dm755 .tmux/plugins/tpm/scripts/update_plugin_prompt_handler.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/update_plugin_prompt_handler.sh
install -Dm755 .tmux/plugins/tpm/scripts/variables.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/variables.sh
install -Dm755 .tmux/plugins/tpm/scripts/helpers/plugin_functions.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/helpers/plugin_functions.sh
install -Dm755 .tmux/plugins/tpm/scripts/helpers/shell_echo_functions.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/helpers/shell_echo_functions.sh
install -Dm755 .tmux/plugins/tpm/scripts/helpers/tmux_echo_functions.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/helpers/tmux_echo_functions.sh
install -Dm755 .tmux/plugins/tpm/scripts/helpers/tmux_utils.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/helpers/tmux_utils.sh
install -Dm755 .tmux/plugins/tpm/scripts/helpers/utility.sh %{buildroot}/etc/skel/.tmux/plugins/tpm/scripts/helpers/utility.sh

install -Dm755 .tmux/plugins/tmux-mouse-swipe/mouse-swipe.tmux %{buildroot}/etc/skel/.tmux/plugins/tmux-mouse-swipe/mouse-swipe.tmux
install -Dm755 .tmux/plugins/tmux-mouse-swipe/shellchecker.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-mouse-swipe/shellchecker.sh
install -Dm755 .tmux/plugins/tmux-mouse-swipe/tmux-mouse-swipe.code-workspace %{buildroot}/etc/skel/.tmux/plugins/tmux-mouse-swipe/tmux-mouse-swipe.code-workspace
install -Dm755 .tmux/plugins/tmux-mouse-swipe/scripts/benchmark.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-mouse-swipe/scripts/benchmark.sh
install -Dm755 .tmux/plugins/tmux-mouse-swipe/scripts/handle_mouse_swipe.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-mouse-swipe/scripts/handle_mouse_swipe.sh
install -Dm755 .tmux/plugins/tmux-mouse-swipe/scripts/utils.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-mouse-swipe/scripts/utils.sh

install -Dm755 .tmux/plugins/tmux-net-speed/net-speed.tmux %{buildroot}/etc/skel/.tmux/plugins/tmux-net-speed/net-speed.tmux
install -Dm755 .tmux/plugins/tmux-net-speed/scripts/helpers.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-net-speed/scripts/helpers.sh
install -Dm755 .tmux/plugins/tmux-net-speed/scripts/net-speed.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-net-speed/scripts/net-speed.sh

install -Dm755 .tmux/plugins/tmux-notify/tnotify.tmux %{buildroot}/etc/skel/.tmux/plugins/tmux-notify/tnotify.tmux
install -Dm755 .tmux/plugins/tmux-notify/scripts/cancel.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-notify/scripts/cancel.sh
install -Dm755 .tmux/plugins/tmux-notify/scripts/helpers.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-notify/scripts/helpers.sh
install -Dm755 .tmux/plugins/tmux-notify/scripts/notify.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-notify/scripts/notify.sh
install -Dm755 .tmux/plugins/tmux-notify/scripts/variables.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-notify/scripts/variables.sh

install -Dm755 .tmux/plugins/tmux-power/tmux-power.tmux %{buildroot}/etc/skel/.tmux/plugins/tmux-power/tmux-power.tmux

install -Dm755 .tmux/plugins/tmux-prefix-highlight/prefix_highlight.tmux %{buildroot}/etc/skel/.tmux/plugins/tmux-prefix-highlight/prefix_highlight.tmux

install -Dm755 .tmux/plugins/tmux-sensible/sensible.tmux %{buildroot}/etc/skel/.tmux/plugins/tmux-sensible/sensible.tmux

install -Dm755 .tmux/plugins/tmux-window-name/tmux_window_name.tmux %{buildroot}/etc/skel/.tmux/plugins/tmux-window-name/tmux_window_name.tmux
install -Dm755 .tmux/plugins/tmux-window-name/scripts/path_utils.py %{buildroot}/etc/skel/.tmux/plugins/tmux-window-name/scripts/path_utils.py
install -Dm755 .tmux/plugins/tmux-window-name/scripts/rename_session_windows.py %{buildroot}/etc/skel/.tmux/plugins/tmux-window-name/scripts/rename_session_windows.py
install -Dm755 .tmux/plugins/tmux-window-name/tests/create_test_dirs.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-window-name/tests/create_test_dirs.sh
install -Dm755 .tmux/plugins/tmux-window-name/tests/test_exclusive_paths.py %{buildroot}/etc/skel/.tmux/plugins/tmux-window-name/tests/test_exclusive_paths.py
install -Dm755 .tmux/plugins/tmux-window-name/tests/test_get_uncommon_path.py %{buildroot}/etc/skel/.tmux/plugins/tmux-window-name/tests/test_get_uncommon_path.py

install -Dm755 .tmux/plugins/tmux-yank/citest %{buildroot}/etc/skel/.tmux/plugins/tmux-yank/citest
install -Dm755 .tmux/plugins/tmux-yank/vagrant_provisioning.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-yank/vagrant_provisioning.sh
install -Dm755 .tmux/plugins/tmux-yank/yank.tmux %{buildroot}/etc/skel/.tmux/plugins/tmux-yank/yank.tmux
install -Dm755 .tmux/plugins/tmux-yank/scripts/copy_line.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-yank/scripts/copy_line.sh
install -Dm755 .tmux/plugins/tmux-yank/scripts/copy_pane_pwd.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-yank/scripts/copy_pane_pwd.sh
install -Dm755 .tmux/plugins/tmux-yank/scripts/helpers.sh %{buildroot}/etc/skel/.tmux/plugins/tmux-yank/scripts/helpers.sh
install -Dm644 .tmux/plugins/tmux-yank/Vagrantfile %{buildroot}/etc/skel/.tmux/plugins/tmux-yank/Vagrantfile

%files
%license
%doc
/etc/skel/.tmux
/etc/skel/.tmux.conf

%changelog
* Fri Apr 19 2025 Little Owl <littleowl@athenaos.org> - 0-4
- Initial RPM release of Athena Tmux config
